#ifndef ORDER_H
#define ORDER_H


#include <string>

#include "Vector3D.h"

class Order{

public:
	Order(const std::string& actionType,const Vector3D& destination,double speed);
	~Order();
	Order(const Order& b);
	
	//Order& operator=(const Order& b);
	
	Vector3D getDestination() const;
	double getSpeed() const;
	
	void setActionType(const std::string& actionType);
	std::string getActionType() const;
	
protected:
	Vector3D destination;
	
	double speed; // the speed at which this unit travels
	
	std::string actionType;
	
};

#endif
