#ifndef SIM_FUNCTIONS_H
#define SIM_FUNCTIONS_H

#include "Defaults.h"
template <class T> T sgn(const T& x){
	if (x >= 0) return 1;
	return -1;
}

void moveObjects(PlayerMap& players,double timeElapsed);

void blah(PlayerMap& players,double currentTime);
void calculateCollisions(PlayerMap& players,double currentTime);

bool solveQuadratic(double a,double b,double c,double& t1,double& t2);

double getCirclePointCollisionTime(const Vector3D& circlePos,double radius,const Vector3D& pointPos,const Vector3D& relativeHeading,double startTime);

double getNextCollisionTime(PlayerMap& players,double currentTime);
double getNextShootingTime(PlayerMap& players,double currentTime);
double getNextOrderCompletionTime(PlayerMap& players,double currentTime);

double getNextTime(PlayerMap& players,double currentTime);
void advanceTime(PlayerMap& players);
	
#endif


