#ifndef STRATEGIES_H
#define STRATEGIES_H

#include "SDL_thread.h"
#include <string>
#include <vector>
#include "Vector3D.h"

class Group;
class Player;

struct TaskStruct{
	Player* player;
	std::string taskType;
	Vector3D location;
	std::vector<Group*> groups;
	SDL_cond* conditional;
};

int massAttack(void* player);
int spreadAttack(void* player);

int attackNearestBase(void* taskPtr);
int join(void* taskPtr);
int move(void* taskPtr);

int executeTask(void* task);


Vector3D getCenterOfGroups(std::vector<Group*> groups);



#endif

