#ifndef ShooterAIWidget_H
#define ShooterAIWidget_H

// $Id: ShooterAIWidget.H 5279 2007-06-23 02:49:08Z mburo $

// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"
#include "CWidget.H"
#include "ShooterAI.H"

//===================================================================

/** GUI interface with ShooterAI. */

class ShooterAIWidget : public CWidget
{
private:
  ShooterAI *shooter_ai;

public:

  ShooterAIWidget();
  void attach(ShooterAI *ai);

protected:
  stype event_mouse_down(stype x, stype y, stype b);
  stype event_key_down(stype key, stype mod, stype x, stype y);

  stype draw();
};

//===================================================================

#endif
