#!/bin/sh
#
# You should run this as root or in sudo. 

echo "Installing dependencies via APT". 

apt-get install gcc libc6 libc6-dev g++ libstdc++6 libstdc++6-4.1-dev \
            libboost-dev make \
            libsdl1.2debian libsdl1.2debian-all libsdl1.2-dev libsdl-net1.2 libsdl-net1.2-dev \
            freeglut3 freeglut3-dev glutg3-dev libglut3 libglut3-dev \
            zlib1g zlib1g-dev \
            libglew1.5 libglew1.5-dev \
            gawk

if [ "$?" != "0" ]
then
	echo "APT failed. You may not be root, or you may not have yum setup properly."
	echo "You may have to download some packages and install them separately."
   echo "If you're not running Ubuntu 8.04 (Hardy), the package names may be different."
	exit
fi

