#ifndef VCRWidget_H
#define VCRWidget_H

// $Id: VCRWidget.H 5279 2007-06-23 02:49:08Z mburo $

// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"
#include "CWidget.H"
#include "ClientModule.H"

//===================================================================

/** Displays the results of VCRr in collapsable tree form. */

class VCRWidget : public CWidget, public ClientModule
{
public:

  // messages
  static const sint4 FROM; 
  static const sint4 SET_SPEED;

  VCRWidget();

protected:

  stype event_mouse_down(stype x, stype y, stype b);
  stype event_key_down(stype key, stype mod, stype x, stype y);

  stype draw();
};

//-------------------------------------------------------------------

class VCREvent : public Event
{
public:
  VCREvent(sint4 who, sint4 what, sint4 speed_) :
    Event(who, what), speed(speed_) {}

  virtual ~VCREvent() {}

  sint4 get_speed() const { return speed; }
  
private:
  sint4 speed;
};

//===================================================================

#endif
