#ifndef ScriptIdSet_H
#define ScriptIdSet_H

/** @file ScriptIdSet.H

    $Id: ScriptIdSet.H 5279 2007-06-23 02:49:08Z mburo $
    $Source$
*/

/*
// This is an ORTS file (c) Tim Furtak

#include "Global.H"
#include "ScriptSet.H"

class PlayerInfo;
class SActParam;
class GfxModule;

//===================================================================

// A set of object ids that pseudo-automatically removes ids as they
// become invalid.


class ScriptIdSet : public ScriptSet
{
protected:
  static Vector<ScriptIdSet*> instances;
  void invalidate(stype id);

public:
  static GfxModule *gfxm;

  ScriptIdSet();
  ~ScriptIdSet();
  static ScriptObj* create() { return new ScriptIdSet; }

  std::string bp_name() const { return "ScriptIdSet"; }

  static void invalidate_id(stype id);

private:

  stype select    (const SActParam&);
  stype select_add(const SActParam&);
  stype deselect  (const SActParam&);

  typedef stype (ScriptIdSet::*myfunc)(const SActParam&);
  void add(const std::string &name, myfunc f, sint4 objs, sint4 p, sint4 p2);
};

*/
#endif
