
#include <vector>
#include <string>
#include <sstream>

#include "Net_Helpers.H"

using namespace std;

string join(const vector<string> & pieces,
                 string delimiter,
                 int start,
                 int end)
{
  ostringstream oss;

  int i = -1;

  for (i = start; i <= end; i++)
    oss << pieces[i] << delimiter;

  string str = oss.str();
  if (i == start) return "";
  else return str.substr(0, str.length()-delimiter.length());
}

string join(const vector<string> & pieces, string delimiter)
{
  return join(pieces, delimiter, 0, pieces.size()-1);
}

string join(const vector<string> & pieces,
                 string delimiter,
                 int start)
{
  return join(pieces, delimiter, start, pieces.size()-1);
}


