
# ifdef WIN32
# include <sr_path_array.h>
# else
# include <SR/sr_path_array.h>
# endif


//# define SR_USE_TRACE1
# ifdef WIN32
# include <sr_trace.h>
# else
# include <SR/sr_trace.h>
# endif


//====================== SrPathArray ==========================

void SrPathArray::basedir_from_filename ( const char* file )
 {
   _basedir = file;
   _basedir.remove_file_name();
   _basedir.make_valid_path();
 }

bool SrPathArray::adjust_path ( SrString& file )
 {
   SrInput in;
   if ( open(in,file) )
    { file = in.filename();
      return true;
    }
   else
    { return false;
    }
 }

//=========================== EOF ===============================
