
//# include <stdlib.h>

# ifdef WIN32
# include <sr_sa_bbox.h>
# include <sr_sn_shape.h>
# else
# include <SR/sr_sa_bbox.h>
# include <SR/sr_sn_shape.h>
# endif


//# define SR_USE_TRACE1 // constructor / destructor
# ifdef WIN32
# include <sr_trace.h>
# else
# include <SR/sr_trace.h>
# endif


//================================== SrSaBBox ====================================

bool SrSaBBox::shape_apply ( SrSnShapeBase* s )
 {
   if ( !s->visible() ) return true;
   SrBox b;
   SrMat m;
   s->get_bounding_box ( b );
   get_top_matrix ( m );
   _box.extend ( b * m );
   return true;
 }
/*
bool SrSaBBox::manipulator_apply ( SrSceneShapeBase* s )
 {
   SrBox b;
   s->get_bounding_box ( b );
   _box.extend ( b * top_matrix() );
   return true;
 }
*/

//======================================= EOF ====================================
