
//# include <stdlib.h>

# ifdef WIN32
# include <sr_sa_render_mode.h>
# else
# include <SR/sr_sa_render_mode.h>
# endif


# ifdef WIN32
# include <sr_sn_shape.h>
# else
# include <SR/sr_sn_shape.h>
# endif


//# define SR_USE_TRACE1 // constructor / destructor
# ifdef WIN32
# include <sr_trace.h>
# else
# include <SR/sr_trace.h>
# endif


//=============================== SrSaRenderMode ====================================

bool SrSaRenderMode::shape_apply ( SrSnShapeBase* s )
 {
   if ( _override )
     s->override_render_mode ( _render_mode );
   else
     s->restore_render_mode ();

   return true;
 }

//======================================= EOF ====================================
