// $Id: fpUtil.h 5279 2007-06-23 02:49:08Z mburo $

#ifndef fpUtil_H
#define fpUtil_H

// Somehow DBL_MAX is not defined under Linux?
#ifndef OS_MAC
//static const double DBL_MAX = 1.79769313486231500e+308;    // DBL_MAX for non Mac OS
#endif

namespace HOG{

// Floating point comparisons 
static const double TOLERANCE = 0.000001;    // floating point tolerance

inline bool fless(double a, double b) { return (a < b - TOLERANCE); }
inline bool fgreater(double a, double b) { return (a > b + TOLERANCE); }
inline bool fequal(double a, double b)
{ return (a > b - TOLERANCE) && (a < b+TOLERANCE); }


}
#endif
