/*
 * $Id: mapProvider.h 5279 2007-06-23 02:49:08Z mburo $
 *
 *  mapProvider.h
 *  HOG
 *
 *  Created by Nathan Sturtevant on 5/10/05.
 *  Copyright 2005 Nathan Sturtevant, University of Alberta. All rights reserved.
 *
 */

#ifndef MAPPROVIDERINTERFACE_H
#define MAPPROVIDERINTERFACE_H

#include "map.h"
#include "mapAbstraction.h"

/**
 * An interface for any class that can provide a map & abstract map.
 */
namespace HOG{
class mapProvider {
public:
	virtual ~mapProvider() {};
	virtual Map *getMap() = 0;
	virtual mapAbstraction *getMapAbstraction() = 0;
};
}
#endif
