
#include "Order.h"
#include "Vector3D.h"
#include "GLfunctions.h"

Order::Order(const std::string& actionType,const Vector3D& destination,double speed){
	this->actionType = actionType;
	this->destination = destination;
	this->speed = speed;
}


Order::~Order(){
	
	
}
Order::Order(const Order& b){
	actionType = b.actionType;
	destination = b.destination;
	speed =b.speed;
}
/*
Order& Order::operator=(const Order& b){
	if (this == &b) return *this;
	this->actionType = b.actionType;
	this->destination = b.destination;
	this->speed =b.speed;
	return *this;
}
*/
Vector3D Order::getDestination() const{
	return destination;
}

double Order::getSpeed() const{
	return speed;
}

void Order::setActionType(const std::string& actionType){
	this->actionType = actionType;
}

std::string Order::getActionType() const{
	return actionType;
}




