HEADERS = apps/$(APP_DIR)/src/MessageEvent.H \
		apps/$(APP_DIR)/src/Handler.H \
		apps/$(APP_DIR)/src/GQListBoxToolTip.H
SOURCES = apps/$(APP_DIR)/src/main.cpp \
		apps/$(APP_DIR)/src/Handler.C
OBJECTS = apps/$(APP_DIR)/src/.obj/main.o \
		apps/$(APP_DIR)/src/.obj/Handler.o \
		apps/$(APP_DIR)/src/.obj/ortsnetgui.o \
		apps/$(APP_DIR)/src/.obj/logindialog.o \
		apps/$(APP_DIR)/src/.obj/creategame.o \
		apps/$(APP_DIR)/src/.obj/addbuddyform.o \
		apps/$(APP_DIR)/src/.obj/genericErrorForm.o \
		apps/$(APP_DIR)/src/.obj/anonymizingdialog.o
FORMS = apps/$(APP_DIR)/src/ortsnetgui.ui \
		apps/$(APP_DIR)/src/logindialog.ui \
		apps/$(APP_DIR)/src/creategame.ui \
		apps/$(APP_DIR)/src/addbuddyform.ui \
		apps/$(APP_DIR)/src/genericErrorForm.ui \
		apps/$(APP_DIR)/src/anonymizingdialog.ui
UICDECLS = apps/$(APP_DIR)/src/.ui/ortsnetgui.h \
		apps/$(APP_DIR)/src/.ui/logindialog.h \
		apps/$(APP_DIR)/src/.ui/creategame.h \
		apps/$(APP_DIR)/src/.ui/addbuddyform.h \
		apps/$(APP_DIR)/src/.ui/genericErrorForm.h \
		apps/$(APP_DIR)/src/.ui/anonymizingdialog.h
UICIMPLS = apps/$(APP_DIR)/src/.ui/ortsnetgui.cpp \
		apps/$(APP_DIR)/src/.ui/logindialog.cpp \
		apps/$(APP_DIR)/src/.ui/creategame.cpp \
		apps/$(APP_DIR)/src/.ui/addbuddyform.cpp \
		apps/$(APP_DIR)/src/.ui/genericErrorForm.cpp \
		apps/$(APP_DIR)/src/.ui/anonymizingdialog.cpp
SRCMOC   = apps/$(APP_DIR)/src/.moc/moc_ortsnetgui.cpp \
		apps/$(APP_DIR)/src/.moc/moc_logindialog.cpp \
		apps/$(APP_DIR)/src/.moc/moc_creategame.cpp \
		apps/$(APP_DIR)/src/.moc/moc_addbuddyform.cpp \
		apps/$(APP_DIR)/src/.moc/moc_genericErrorForm.cpp \
		apps/$(APP_DIR)/src/.moc/moc_anonymizingdialog.cpp
OBJMOC = apps/$(APP_DIR)/src/.obj/moc_ortsnetgui.o \
		apps/$(APP_DIR)/src/.obj/moc_logindialog.o \
		apps/$(APP_DIR)/src/.obj/moc_creategame.o \
		apps/$(APP_DIR)/src/.obj/moc_addbuddyform.o \
		apps/$(APP_DIR)/src/.obj/moc_genericErrorForm.o \
		apps/$(APP_DIR)/src/.obj/moc_anonymizingdialog.o
DIST	   = ortsNetgui.pro
QMAKE_TARGET = ortsNetgui
DESTDIR  = 
TARGET   = ortsNetgui

apps/$(APP_DIR)/src/.obj/main.o: apps/$(APP_DIR)/src/main.cpp apps/$(APP_DIR)/src/.ui/ortsnetgui.h \
		apps/$(APP_DIR)/src/.ui/logindialog.h \
		apps/$(APP_DIR)/src/.ui/creategame.h \
		apps/$(APP_DIR)/src/.ui/addbuddyform.h \
		apps/$(APP_DIR)/src/.ui/genericErrorForm.h \
		apps/$(APP_DIR)/src/.ui/anonymizingdialog.h \
		apps/$(APP_DIR)/src/GQListBoxToolTip.H \
		apps/$(APP_DIR)/src/Handler.H \
		apps/$(APP_DIR)/src/MessageEvent.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/main.o apps/$(APP_DIR)/src/main.cpp

apps/$(APP_DIR)/src/.obj/Handler.o: apps/$(APP_DIR)/src/Handler.C apps/$(APP_DIR)/src/Handler.H \
		apps/$(APP_DIR)/src/MessageEvent.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/Handler.o apps/$(APP_DIR)/src/Handler.C

apps/$(APP_DIR)/src/.ui/ortsnetgui.h: apps/$(APP_DIR)/src/ortsnetgui.ui apps/$(APP_DIR)/src/.ui/logindialog.h \
		apps/$(APP_DIR)/src/.ui/creategame.h \
		apps/$(APP_DIR)/src/addbuddyform.h \
		apps/$(APP_DIR)/src/.ui/genericErrorForm.h \
		apps/$(APP_DIR)/src/.ui/anonymizingdialog.h \
		apps/$(APP_DIR)/src/GQListBoxToolTip.H \
		apps/$(APP_DIR)/src/Handler.H \
		apps/$(APP_DIR)/src/MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/ortsnetgui.ui -o apps/$(APP_DIR)/src/.ui/ortsnetgui.h

apps/$(APP_DIR)/src/.ui/ortsnetgui.cpp: apps/$(APP_DIR)/src/.ui/ortsnetgui.h apps/$(APP_DIR)/src/ortsnetgui.ui apps/$(APP_DIR)/src/ortsnetgui.ui.h apps/$(APP_DIR)/src/.ui/logindialog.h \
		apps/$(APP_DIR)/src/.ui/creategame.h \
		apps/$(APP_DIR)/src/addbuddyform.h \
		apps/$(APP_DIR)/src/.ui/genericErrorForm.h \
		apps/$(APP_DIR)/src/.ui/anonymizingdialog.h \
		apps/$(APP_DIR)/src/GQListBoxToolTip.H \
		apps/$(APP_DIR)/src/Handler.H \
		apps/$(APP_DIR)/src/MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/ortsnetgui.ui -i ortsnetgui.h -o apps/$(APP_DIR)/src/.ui/ortsnetgui.cpp

apps/$(APP_DIR)/src/.ui/logindialog.h: apps/$(APP_DIR)/src/logindialog.ui Handler.H \
		apps/$(APP_DIR)/src/.ui/genericErrorForm.h \
		apps/$(APP_DIR)/src/MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/logindialog.ui -o apps/$(APP_DIR)/src/.ui/logindialog.h

apps/$(APP_DIR)/src/.ui/logindialog.cpp: apps/$(APP_DIR)/src/.ui/logindialog.h apps/$(APP_DIR)/src/logindialog.ui apps/$(APP_DIR)/src/logindialog.ui.h apps/$(APP_DIR)/src/Handler.H \
		apps/$(APP_DIR)/src/.ui/genericErrorForm.h \
		apps/$(APP_DIR)/src/MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/logindialog.ui -i logindialog.h -o apps/$(APP_DIR)/src/.ui/logindialog.cpp

apps/$(APP_DIR)/src/.ui/creategame.h: creategame.ui Handler.H \
		MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/creategame.ui -o apps/$(APP_DIR)/src/.ui/creategame.h

apps/$(APP_DIR)/src/.ui/creategame.cpp: .ui/creategame.h creategame.ui creategame.ui.h Handler.H \
		MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/creategame.ui -i creategame.h -o apps/$(APP_DIR)/src/.ui/creategame.cpp

apps/$(APP_DIR)/src/.ui/addbuddyform.h: addbuddyform.ui Handler.H \
		MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/addbuddyform.ui -o apps/$(APP_DIR)/src/.ui/addbuddyform.h

apps/$(APP_DIR)/src/.ui/addbuddyform.cpp: .ui/addbuddyform.h addbuddyform.ui addbuddyform.ui.h Handler.H \
		MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/addbuddyform.ui -i addbuddyform.h -o apps/$(APP_DIR)/src/.ui/addbuddyform.cpp

apps/$(APP_DIR)/src/.ui/genericErrorForm.h: genericErrorForm.ui 
	$(UIC) apps/$(APP_DIR)/src/genericErrorForm.ui -o apps/$(APP_DIR)/src/.ui/genericErrorForm.h

apps/$(APP_DIR)/src/.ui/genericErrorForm.cpp: .ui/genericErrorForm.h genericErrorForm.ui genericErrorForm.ui.h 
	$(UIC) apps/$(APP_DIR)/src/genericErrorForm.ui -i genericErrorForm.h -o apps/$(APP_DIR)/src/.ui/genericErrorForm.cpp

apps/$(APP_DIR)/src/.ui/anonymizingdialog.h: anonymizingdialog.ui Handler.H \
		MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/anonymizingdialog.ui -o apps/$(APP_DIR)/src/.ui/anonymizingdialog.h

apps/$(APP_DIR)/src/.ui/anonymizingdialog.cpp: .ui/anonymizingdialog.h anonymizingdialog.ui anonymizingdialog.ui.h Handler.H \
		MessageEvent.H
	$(UIC) apps/$(APP_DIR)/src/anonymizingdialog.ui -i anonymizingdialog.h -o apps/$(APP_DIR)/src/.ui/anonymizingdialog.cpp

apps/$(APP_DIR)/src/.obj/ortsnetgui.o: .ui/ortsnetgui.cpp ortsnetgui.ui.h \
		.ui/ortsnetgui.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/ortsnetgui.o apps/$(APP_DIR)/src/.ui/ortsnetgui.cpp

apps/$(APP_DIR)/src/.obj/logindialog.o: .ui/logindialog.cpp logindialog.ui.h \
		.ui/logindialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/logindialog.o apps/$(APP_DIR)/src/.ui/logindialog.cpp

apps/$(APP_DIR)/src/.obj/creategame.o: .ui/creategame.cpp creategame.ui.h \
		.ui/creategame.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/creategame.o apps/$(APP_DIR)/src/.ui/creategame.cpp

apps/$(APP_DIR)/src/.obj/addbuddyform.o: .ui/addbuddyform.cpp addbuddyform.ui.h \
		.ui/addbuddyform.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/addbuddyform.o apps/$(APP_DIR)/src/.ui/addbuddyform.cpp

apps/$(APP_DIR)/src/.obj/genericErrorForm.o: .ui/genericErrorForm.cpp genericErrorForm.ui.h \
		.ui/genericErrorForm.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/genericErrorForm.o apps/$(APP_DIR)/src/.ui/genericErrorForm.cpp

apps/$(APP_DIR)/src/.obj/anonymizingdialog.o: .ui/anonymizingdialog.cpp anonymizingdialog.ui.h \
		.ui/anonymizingdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/anonymizingdialog.o apps/$(APP_DIR)/src/.ui/anonymizingdialog.cpp

apps/$(APP_DIR)/src/.obj/moc_ortsnetgui.o: .moc/moc_ortsnetgui.cpp  .ui/ortsnetgui.h .ui/logindialog.h \
		.ui/creategame.h \
		.ui/addbuddyform.h \
		.ui/genericErrorForm.h \
		.ui/anonymizingdialog.h \
		GQListBoxToolTip.H \
		Handler.H \
		MessageEvent.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/moc_ortsnetgui.o apps/$(APP_DIR)/src/.moc/moc_ortsnetgui.cpp

apps/$(APP_DIR)/src/.obj/moc_logindialog.o: .moc/moc_logindialog.cpp  .ui/logindialog.h Handler.H \
		.ui/genericErrorForm.h \
		MessageEvent.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/moc_logindialog.o apps/$(APP_DIR)/src/.moc/moc_logindialog.cpp

apps/$(APP_DIR)/src/.obj/moc_creategame.o: .moc/moc_creategame.cpp  .ui/creategame.h Handler.H \
		MessageEvent.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/moc_creategame.o apps/$(APP_DIR)/src/.moc/moc_creategame.cpp

apps/$(APP_DIR)/src/.obj/moc_addbuddyform.o: .moc/moc_addbuddyform.cpp  .ui/addbuddyform.h Handler.H \
		MessageEvent.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/moc_addbuddyform.o apps/$(APP_DIR)/src/.moc/moc_addbuddyform.cpp

apps/$(APP_DIR)/src/.obj/moc_genericErrorForm.o: .moc/moc_genericErrorForm.cpp  .ui/genericErrorForm.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/moc_genericErrorForm.o apps/$(APP_DIR)/src/.moc/moc_genericErrorForm.cpp

apps/$(APP_DIR)/src/.obj/moc_anonymizingdialog.o: .moc/moc_anonymizingdialog.cpp  .ui/anonymizingdialog.h Handler.H \
		MessageEvent.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o apps/$(APP_DIR)/src/.obj/moc_anonymizingdialog.o apps/$(APP_DIR)/src/.moc/moc_anonymizingdialog.cpp

apps/$(APP_DIR)/src/.moc/moc_ortsnetgui.cpp: $(MOC) .ui/ortsnetgui.h
	$(MOC) apps/$(APP_DIR)/src/.ui/ortsnetgui.h -o apps/$(APP_DIR)/src/.moc/moc_ortsnetgui.cpp

apps/$(APP_DIR)/src/.moc/moc_logindialog.cpp: $(MOC) .ui/logindialog.h
	$(MOC) apps/$(APP_DIR)/src/.ui/logindialog.h -o apps/$(APP_DIR)/src/.moc/moc_logindialog.cpp

apps/$(APP_DIR)/src/.moc/moc_creategame.cpp: $(MOC) .ui/creategame.h
	$(MOC) apps/$(APP_DIR)/src/.ui/creategame.h -o apps/$(APP_DIR)/src/.moc/moc_creategame.cpp

apps/$(APP_DIR)/src/.moc/moc_addbuddyform.cpp: $(MOC) .ui/addbuddyform.h
	$(MOC) apps/$(APP_DIR)/src/.ui/addbuddyform.h -o apps/$(APP_DIR)/src/.moc/moc_addbuddyform.cpp

apps/$(APP_DIR)/src/.moc/moc_genericErrorForm.cpp: $(MOC) .ui/genericErrorForm.h
	$(MOC) apps/$(APP_DIR)/src/.ui/genericErrorForm.h -o apps/$(APP_DIR)/src/.moc/moc_genericErrorForm.cpp

apps/$(APP_DIR)/src/.moc/moc_anonymizingdialog.cpp: $(MOC) .ui/anonymizingdialog.h
	$(MOC) apps/$(APP_DIR)/src/.ui/anonymizingdialog.h -o apps/$(APP_DIR)/src/.moc/moc_anonymizingdialog.cpp
