// $Id: NUS_Unit.cpp,v 1.1 2006/08/10 17:16:02 nicholas Exp $

#include "NUS_Unit.h"


namespace NUS_Simul{

	Unit::Unit(){
		position = NUS_TerrainBase::Loc(0,0);
		hitPoints = 0;
	}

	Unit::Unit(GameObj* obj,real8 hp, NUS_TerrainBase::Loc loc){
		this->obj = obj;
		hitPoints = hp;
		position = loc;
	}
	
	Unit::Unit(GameObj *obj) {
		this->obj = obj;
		hitPoints = real8(obj->get_int("hp"));
		position = NUS_TerrainBase::Loc(*obj->sod.x, *obj->sod.y);
	}

	Unit::Unit(const Unit &u):hitPoints(u.hitPoints), position(u.position), obj(u.obj) {}

	Unit* Unit::clone() const {
		return new Unit(*this);
	}	
}


