#include "StrategicCommander.H"  


bool StrategicCommander::handle_event (const Event& event) {
   
   
   if(event.get_what() == TerrainModule::PATH_SUCCESS) {
   		if	(mode == 0){
   		}
    }
    
    /*
    if (event.get_what() == Watcher::WatcherModule::CONDITION) {
        const Watcher::ConditionEvent* ce = 
            dynamic_cast<const Watcher::ConditionEvent*>(&event);
        if (ce->getID()==combatEventID) set<GameObj*> enemies=ce->getUnits();
	receivedNotification=true;
    }

*/  
  return true;
    
}




 /*********************JAMES' STUFF **************************/  
  TerrainBase::Loc StrategicCommander::find_a_spot(TerrainBase::Loc center_loc, GameStateModule &gsm){
               
    mapTerrain::TerrainMap terrMap(&gsm.get_game());
    TerrainBase::Loc loc(0,0);
    sint4 standard = 9; sint4 range = 64;
    bool found = terrMap.find_free_loc(center_loc, loc, range, standard);
    range+= 32;
    //std::cout << "found = " << found << ", and meeting spot is (" <<  center_loc.x / 16 << "," << center_loc.y / 16 << ")" << std::endl;
    while(!found  && standard > 4){
      found = terrMap.find_free_loc(center_loc, loc, range, standard--);
      //std::cout << "found = " << found << ", and meeting spot is (" <<  center_loc.x / 16 << "," << center_loc.y / 16 << ")" << std::endl;
    }
    terrMap.print_map();
    return TerrainBase::Loc(loc.x, loc.y);
  }
  /*********************JAMES' STUFF **************************/ 




void StrategicCommander::exec(){
	if (mode == 0 ){
			
		//out units units

		//const sint4 me = gsm.get_game().get_client_player();
			
		while(unitVector.size() > 0){
				
			Vector<GameObj*> unitsToJoin;

			fprintf(stderr,"objects size = %f\n",unitVector.size());

   		 	getGroup(unitsToJoin,unitVector,unitVector[0],me);
    		     		   	
  		  	AttackCommander *attack = new AttackCommander(this, unitsToJoin, 0.5, me, *tm, *st, *gsm);
  	        commVector.push_back((Commander *)attack);
		}	
	}
	if (mode == 1){}
		
	
}


  void StrategicCommander::getGroup(Vector<GameObj*>& closestObjects,
						  Vector<GameObj*> originalObjects,GameObj* obj,uint4 playerID){


    closestObjects.clear();

    real8 edist = 100.0;
    real8 dist = 0.0;
    real8 extended;

    sint4 x,y;
    sint4 x2,y2;
    obj->get_center(x,y);

    while(originalObjects.size() > 0){
      GameObj* mostNearestGroup = getNearestObject(originalObjects,obj);
      edist =  getNearestEnemyUnitOfGroupDist(playerID,originalObjects,obj);
      mostNearestGroup->get_center(x2,y2);
      dist = sqrt(pow((real8)(x - x2),(real8)2) + pow((real8)(y - y2),(real8)2));
     
	  //fprintf(stderr,"edist = %f ;", edist);
      // fprintf(stderr,"dist = %f\n", dist);
    
      //fprintf(stderr,"x2 = %f", x2);
      // fprintf(stderr,"y2 = %f\n ", y2);
       
      extended = 50;
      if (edist/3 > 50)
		extended = edist/3;

      if (edist+extended > dist){
		closestObjects.push_back(mostNearestGroup);
		removeObjectFromVector(mostNearestGroup,originalObjects);
      }
      else{
		break;
      }
      
    }
  
}
  GameObj* StrategicCommander::getNearestObject(const Vector<GameObj*>& objects,const TerrainBase::Loc& loc){
    if(objects.empty()) return NULL;
    real8 closestDistance = 2e8;
    GameObj* closestObject = NULL;
    FORALL(objects,it){
      sint4 x,y;
      (*it)->get_center(x,y);
      real8 distance = sqrt(pow((real8)(x - loc.x),2.0) + pow((real8)(y - loc.y),2.0));
      if(distance < closestDistance){
        closestDistance = distance;
        closestObject = *it;
      }
    }
    return closestObject;
  }

  GameObj* StrategicCommander::getNearestObject(const Vector<GameObj*>& objects,GameObj* obj){
    if(obj == NULL) ERR("can't find nearest group to a NULL group");
    sint4 x,y;
    obj->get_center(x,y);
    return getNearestObject(objects,TerrainBase::Loc(x,y));
  }
  
  real8 StrategicCommander::getNearestEnemyUnitOfGroupDist(uint4 playerID,const Vector<GameObj*>& objects, GameObj* obj){
    
    GameObj* nearestUnit = NULL;
   
	myWatcher.queryUnits(And(Not(OwnerIs(me)),Not(OwnerIs(2))), enemies);
		
			
			real8 nearDist = 1000000;
		
   			FORALL(enemies,it){
				GameObj* curr = *it;
				sint4 x,y;
				curr->get_center(x,y);
				sint4 targetX, targetY;
				obj->get_center(targetX,targetY);
				real8 dist = sqrt(((targetX - x)*(targetX - x)) + ((targetY - y)*(targetY - y)));
				if (dist < nearDist){
					nearDist = dist;
					nearestUnit = curr;
				}
			}
    
///////////


    return nearDist;
  }
  
  bool StrategicCommander::removeObjectFromVector(GameObj* obj, Vector<GameObj*>& vector){
    FORALL(vector,it){
      if(*it == obj){
        vector.erase(it);
        return true;
      }
    }
    return false;
  }
  