#ifndef Vanished_H
#define Vanished_H

// $Id: Vanished.H 5279 2007-06-23 02:49:08Z mburo $

// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"
#include "ScriptObj.H"

class GameStateModule;
class GameObj;

class VanishedObjects {

public:

  VanishedObjects(GameStateModule &gsm);

  void add(GameObj *gob);

  void del(GameObj *gob);

protected:

  GameStateModule &gsm;

  std::set<ScriptObj::Ptr> static_objects; ///< Objects to be kept around when not visible.

  void check_static_objects();
};

#endif
