#ifndef KeyMap_H
#define KeyMap_H

// $Id: KeyMap.H 5279 2007-06-23 02:49:08Z mburo $

// This is an ORTS file
// (c) Tim Furtak
// licensed under the GPL

//===================================================================

class KeyMap
{
public:

  static sint4 glut_key(sint4 k);
  static sint4 glut_special_key(sint4 k);

  // keycodes to match those used in the script (copied from SDL_keysym.h)

  // Arrows + Home/End pad
  static const sint4 KEY_UP       = 273;
  static const sint4 KEY_DOWN     = 274;
  static const sint4 KEY_RIGHT    = 275;
  static const sint4 KEY_LEFT     = 276;
  static const sint4 KEY_INSERT   = 277;
  static const sint4 KEY_HOME     = 278;
  static const sint4 KEY_END      = 279;
  static const sint4 KEY_PAGEUP   = 280;
  static const sint4 KEY_PAGEDOWN = 281;
  
  // Function keys
  static const sint4 KEY_F1  = 282;
  static const sint4 KEY_F2  = 283;
  static const sint4 KEY_F3  = 284;
  static const sint4 KEY_F4  = 285;
  static const sint4 KEY_F5  = 286;
  static const sint4 KEY_F6  = 287;
  static const sint4 KEY_F7  = 288;
  static const sint4 KEY_F8  = 289;
  static const sint4 KEY_F9  = 290;
  static const sint4 KEY_F10 = 291;
  static const sint4 KEY_F11 = 292;
  static const sint4 KEY_F12 = 293;
  static const sint4 KEY_F13 = 294;
  static const sint4 KEY_F14 = 295;
  static const sint4 KEY_F15 = 296;
};

//===================================================================

#endif
