#ifndef POINT_H
#define POINT_H

template <typename T>
class Point
{
public:
  Point() : x(0),y(0) { }
  Point(T _x, T _y) : x(_x), y(_y) { }

  // accessors and mutators

  const T& getX() const { return x; }
  const T& getY() const { return y; }

  void setX(const T& _x) { x = _x; }
  void setY(const T& _y) { y = _y; }

  void set(const T& _x, const T& _y) {
    x = _x; y = _y;
  }

public:
  T x, y;
};


typedef Point<float> FPoint;
typedef Point<int> IPoint;

#endif
