#ifndef ClientState_H
#define ClientState_H

// $Id: ClientState.H 5279 2007-06-23 02:49:08Z mburo $
// This is an ORTS file (c) Michael Buro, licensed under the GPL

// gives access to gamestate module and gfx module

class GameStateModule;
class GfxModule;

struct ClientState {

  GameStateModule *gsm;
  GfxModule       *gfxm;

  ClientState(GameStateModule &gsm_, GfxModule &gfxm_) :
    gsm(&gsm_), gfxm(&gfxm_)
  {}

};

#endif
