/** @file EventHandler.C
    @see EventHandler.H

    $Id: EventHandler.C 5803 2007-09-09 15:35:43Z furtak $
    $Source$
*/

#include "Global.H"
#include "EventHandler.H"

using namespace std;

sint4 EventFactory::current_who = 0;
sint4 EventFactory::current_what = 0;

//===================================================================

/** @return Number of handlers that handled the event. */

sint4 EventHandlerList::call(const Event &e)
{
  Vector<EventHandler*> handlers_ = handlers;

  sint4 n = 0;
  FORALL (handlers_, h) {
    n += (*h)->handle_event(e);
  }
  return n;
}

//===================================================================
