// $Id: TerrainBase.C 5279 2007-06-23 02:49:08Z mburo $
// This is an ORTS file (c) Michael Buro, licensed under the GPL

#include "TerrainBase.H"

TerrainBase::~TerrainBase() { }  // for vtable

std::ostream& operator<<(std::ostream& os, const TerrainBase::Loc& l)
{
  os << "(" << l.x << "," << l.y << ")";
  return os;
}

std::ostream& operator<<(std::ostream& os, const TerrainBase::Segment& s)
{
  os << s.l1 << "-" << s.l2;
  return os;
}
